//////////////////////////////////////////////////////////////////////////////
// BasicComponent.C
//////////////////////////////////////////////////////////////////////////////
#include "BasicComponent.hh"
#include <stdio.h>

BasicComponent::BasicComponent (const char *name)
{
  _w = NULL;
  _name = strdup (name);
}

BasicComponent::~BasicComponent()
{
  if(_w)
    XtDestroyWidget (_w);
  delete _name;
}

void BasicComponent::manage()
{
  XtManageChild (_w);
}

void BasicComponent::unmanage()
{
  XtUnmanageChild (_w);
}
